jDownloadsownloads.com

Author Topic: Cannot update 3.2.69 to 3.9.6  (Read 655 times)

0 Members and 1 Guest are viewing this topic.

Offline boboman

  • Newbie
  • *
  • Posts: 9
Cannot update 3.2.69 to 3.9.6
« on: 05.10.2020 09:31:34 »
I have 2 web sites, both with a backend databases running MySQL 5.6.41-84.1 versions. 1 web site is running 3.9.4, this updates to 3.9.6.
The other website running jdownloads 3.2.69 will not update directly to 3.9.6. The attached error is received which says I need to update my database to MySQL 5.7+. I could not find 3.9.4 on the downloads area, to install that first then update to 3.9.6

Offline Arno

  • Administrator
  • ***
  • Posts: 12.357
    • jDownloads.com
Re: Cannot update 3.2.69 to 3.9.6
« Reply #1 on: 05.10.2020 14:10:21 »
Hi,
you do not need the version 3.9.4. Also with this version will you see the same message.
Please resd the upgrade notes here:
https://www.jdownloads.net/documentation-for-v3-9/getting-started-v3-9/upgrading-from-jdownloads-3-2-to-3-9

Have your both web sites different database versions?
Best Regards / Gruß
Arno
Please make a Donation for jDownloads and/or write a review on the Joomla! Extensions directory!

Offline boboman

  • Newbie
  • *
  • Posts: 9
Re: Cannot update 3.2.69 to 3.9.6
« Reply #2 on: 05.10.2020 20:52:16 »
Arno,


 Both web sites are using Mysql 5.6.41-84.1.
The system running Jdownloads 3.9.4 was successfully updated to 3.9.6
The system running Jdownloads 3.2.69 errors and will not update to 3.9.6 (error Please contact your web host to update your Database version to at least version 5.7)
Neither systems are above 5.7 but one upgrades?
The hosting company currently has no option to upgrade the database to 5.7

Regards,

Adrian

Offline Arno

  • Administrator
  • ***
  • Posts: 12.357
    • jDownloads.com
Re: Cannot update 3.2.69 to 3.9.6
« Reply #3 on: 05.10.2020 23:37:19 »
Quote
Neither systems are above 5.7 but one upgrades?
This is a normal result. The db check is only started when an old 3.2.69 version shall be upgraded.

In your case you have on the first installation run the upgrade with a version between 3.9.1 and 3.9.4. To this time it was possible to try the upgrade also when an older database version was use. But some users had problems with it. So we have change the requirements with version 3.9.5.

When you want I can you send a special version where this db check is not active. But I cannot give any support when it should not work as expected. So it is your risk. Create always a backup before you try it.
« Last Edit: 05.10.2020 23:39:31 by Arno »
Best Regards / Gruß
Arno
Please make a Donation for jDownloads and/or write a review on the Joomla! Extensions directory!

Offline boboman

  • Newbie
  • *
  • Posts: 9
Re: Cannot update 3.2.69 to 3.9.6
« Reply #4 on: 06.10.2020 08:33:44 »
Arno,

I would appreciate it if you could send a version without the DB check. I appreciate the support position.

Regards,

Adrian

Offline Arno

  • Administrator
  • ***
  • Posts: 12.357
    • jDownloads.com
Re: Cannot update 3.2.69 to 3.9.6
« Reply #5 on: 06.10.2020 14:43:35 »
Hi Adrian,
I will send it in a few minutes as PM.

Note:
the problem with older DB versions is, that some special settings must be exist to make an upgrade successful.
But this is not given by every hoster. So we had to add this db check.

Edit:
The user above could successful upgrade on the version 3.9.6 now.
« Last Edit: 06.10.2020 17:28:21 by Arno »
Best Regards / Gruß
Arno
Please make a Donation for jDownloads and/or write a review on the Joomla! Extensions directory!